## ubuntu-cloudimage-keyring 2013.08.23~12.04.1

=== debian/changelog ===
ubuntu-cloudimage-keyring (2013.08.23~12.04.1) precise-proposed; urgency=low

  * Initial release of Ubuntu Cloud Image keyring, for:
    - cloud-images.ubuntu.com
    This is an SRU port of version in saucy (LP: #1218963).

 -- Scott Moser <smoser@ubuntu.com>  Fri, 30 Aug 2013 10:53:09 -0400

## ubuntu-cloudimage-keyring 2013.08.23~12.10.1

=== debian/changelog ===
ubuntu-cloudimage-keyring (2013.08.23~12.10.1) quantal-proposed; urgency=low

  * Initial release of Ubuntu Cloud Image keyring, for:
    - cloud-images.ubuntu.com
    This is an SRU port of version in saucy (LP: #1218963).

 -- Scott Moser <smoser@ubuntu.com>  Fri, 30 Aug 2013 10:53:09 -0400

## ubuntu-cloudimage-keyring 2013.08.23~13.04.1

=== debian/changelog ===
ubuntu-cloudimage-keyring (2013.08.23~13.04.1) raring-proposed; urgency=low

  * Initial release of Ubuntu Cloud Image keyring, for:
    - cloud-images.ubuntu.com
    This is an SRU port of version in saucy (LP: #1218963).

 -- Scott Moser <smoser@ubuntu.com>  Fri, 30 Aug 2013 10:53:09 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	for f in keyrings/*; do \
		dh_install --sourcedir=. "$$f" usr/share/keyrings/; done
	dh_auto_install -- install

## ubuntu-cloudimage-keyring 2013.08.23

=== debian/changelog ===
ubuntu-cloudimage-keyring (2013.08.23) saucy; urgency=low

  * Initial release of Ubuntu Cloud Image keyring, for:
    - cloud-images.ubuntu.com

 -- Scott Moser <smoser@ubuntu.com>  Fri, 23 Aug 2013 13:32:39 -0400

## ubuntu-cloudimage-keyring 2013.11.11

=== Makefile ===
keyrings := $(shell cd pubkeys/ && for d in *; do \
   [ -d $$d ] && echo keyrings/$$d-keyring.gpg; done)
removed_keyrings := $(shell cd pubkeys/ && for d in *; do \
   [ -d $$d ] && echo keyrings-removed/$$d-keyring-removed.gpg; done)

all: $(keyrings) $(removed_keyrings)

debug:
	@echo keyrings=$(keyrings)
	@echo removed_keyrings=$(removed_keyrings)

keyrings/%-keyring.gpg: pubkeys/%/*.gpg
	@mkdir -p `dirname $@`
	@: > $@
	tools/pubkeys-to-keyring $@ $^ || rm -f $@

keyrings-removed/%-keyring-removed.gpg: pubkeys-removed/%/*.gpg
	@mkdir -p `dirname $@`
	@: > $@
	tools/pubkeys-to-keyring $@ $^ || rm -f $@

clean:
	rm -Rf keyrings keyrings-removed

.PHONY: all clean

=== debian/changelog ===
ubuntu-cloudimage-keyring (2013.11.11) trusty; urgency=low

  * Improve packaging to include ascii armored public keys and
    to create the keyrings during build.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 11 Nov 2013 16:06:35 -0500

=== debian/control ===
Source: ubuntu-cloudimage-keyring
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 7.0.50~), gnupg

Package: ubuntu-cloudimage-keyring
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: GnuPG keys of the Ubuntu Cloud Image builder
 The Ubuntu Cloud Image build process digitally signs the files it publishes.
 This package contains the keys used for files on cloud-images.ubuntu.com.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,6 @@
 	dh $@
 
 override_dh_auto_install:
-	for f in keyrings/*; do \
+	for f in keyrings/*.gpg keyrings-removed/*.gpg; do \
 		dh_install --sourcedir=. "$$f" usr/share/keyrings/; done
 	dh_auto_install -- install
